## nn 6.5.0.b3.linux.1.1-1.1

=== Makefile ===
#
# Makefile for nn release 6.5
#
#
# Before compiling, read the instructions in the file INSTALLATION!
# It is best to make changes to the variables in this file in config.h
# --see Step 2.1: Configuration of Makefile.
#
# -----------------------------------------------------------------
#
#	make all	compile programs
#	make clean	remove all make'd files from source directory
#
# -----------------------------------------------------------------
#
# Some alternatives for CPP might be /lib/cpp and $(CC) -P
# Common values for CFLAGS are '-O -s' or '-g'
#
# Use /lib/cpp or /usr/ccs/lib/cpp for CPP on Solaris or SVR4 machines.

CC =		gcc
CPP =		$(CC) -E
#CPP =		/lib/cpp
CFLAGS =	-O6 -fomit-frame-pointer -pipe
#-Wall -Wcomment \
#-Wtraditional -Wshadow \
#-Wpointer-arith -Wcast-qual -Wcast-align -Wconversion \
#-Waggregate-return -Wmissing-prototypes -Wnested-externs
LDFLAGS =	-s # -lmalloc # /usr/local/lib/malloc-debug/libmalloc.a
MAKE =		make


SHELL = /bin/sh

all: ymakefile
	$(MAKE) $(MFLAGS) -f ymakefile all

touch: ymakefile
	$(MAKE) -f ymakefile -t all

dbg: ymakefile
	$(MAKE) $(MFLAGS) -f ymakefile nn1

nn: ymakefile
	$(MAKE) $(MFLAGS) -f ymakefile nn

master: ymakefile
	$(MAKE) $(MFLAGS) -f ymakefile master

lint: ymakefile
	$(MAKE) -f ymakefile lint

client: ymakefile
	$(MAKE) $(MFLAGS) -f ymakefile client

ymakefile: Makefile xmakefile config.h
	cp xmakefile MF.c
	$(CPP) -DCOMPILER="$(CC)" -DPREPROC="$(CPP)" \
	       -DLDEBUG="$(LDFLAGS)" \
	       -DCDEBUG="$(CFLAGS)" -Iconf MF.c | \
	sed -e '1,/MAKE WILL CUT HERE/d' \
	    -e '/^#/d' \
	    -e '/^[ \f	]$$/d' \
	    -e '/^[ \/]*[*]/d' | \
	sed -n -e '/^..*$$/p' > ymakefile
	rm -f MF.c

#
# clean up
#	Will remove object and executeable files.
#

clean:	ymakefile
	make -f ymakefile clean
	rm -f *.o *~ ymakefile

#
# distribution
#

distrib: man/nn.1.D
	[ -d DIST ] || mkdir DIST
	rm DIST/Part.*
	makekit -m -k30 -s55000 -nDIST/Part.

tar: man/nn.1.D
	chmod +x FILES
	rm -f /tmp/nn64tar*
	tar cf /tmp/nn64tar `FILES`
	cd /tmp && compress nn64tar

split: tar
	rm -f /tmp/nn64z*
	cd /tmp && bsplit -b40000 -pnn64z -v < nn64tar.Z

man/nn.1.D: man/nn.1
	sh SPLITNN1

=== inews/Makefile ===
# Makefile for NN version of mini inews.
#
# $RCSfile: Makefile,v $	$Revision: 1.3 $
#
# $Author: news $	$Date: 89/12/21 17:59:52 $
#
# $State: Exp $	$Locker:  $
#
# $Log:	Makefile,v $
# Revision 1.3  89/12/21  17:59:52  news
# Added kit processing, cleanups.
#

TARGET	= inews

BINDIR	= /usr/lib/news/
SHELL	= /bin/sh

CC	= cc
# General definitions here which apply to all -- form -DDEF
DEFS	= -DFOR_NN
# Link libraries -- form -lLIB
LIBS	= ../hostname.o
# Lint definitions -- same as DEFS, but form -D DEF
LDEFS	= -D lint -D FOR_NN
# Lint libraries -- same as LIBS, but form -l LIB
LLIBS	=
# Set to -g for debugging, -O for optimise, or both if compiler handles it
DEBUG	= -O
CFLAGS	= $(DEBUG) $(DEFS) -I.. -I../conf

SRCS	= inews.c clientlib.c version.c
OBJS	= inews.o clientlib.o version.o
CLUDES	= clientlib.h conf.h nntp.h
KIT	= Makefile README README.NN $(SRCS) $(CLUDES)

$(TARGET): $(OBJS)
	$(CC) $(CFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

$(OBJS):	$(CLUDES)

all:	$(TARGET)

Manifest:	$(KIT)
	touch Manifest
	rm -f foo
	ls -ls Manifest $(KIT) > foo
	mv foo Manifest
	ls -ls Manifest $(KIT) > foo
	mv foo Manifest

kit:	Manifest
	shar Manifest $(KIT) > inews.shar

clean:
	rm -f $(OBJS) core lint tags

clobber:	clean
	rm -f $(TARGET) Make.Log Manifest $(KIT)

lint:	$(SRCS)
	lint -D lint $(LLIBES) $(LDEFS) $(SRCS) > lint

tags:	$(SRCS)
	ctags $(SRCS)

install:	$(TARGET)
	../inst inews $(TARGET)
#	install -o news -g news -m 511 -s -c $(TARGET) $(BINDIR)

=== debian/changelog ===
nn (6.5.0.b3.linux.1.1-1.1) unstable; urgency=low
  
  * Non-maintainer release.
  * Libc6 compile.
  * Updated from pre 2.0.0.0 standards.

 -- Martin Mitchell <martin@debian.org>  Wed, 12 Nov 1997 21:44:07 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: nn
Section: news
Priority: optional
Maintainer: Mike Coleman <coleman@chez-gnu.cstp.umkc.edu>
Standards-Version: 2.3.0.1

Package: nn
Architecture: any
Depends: ${shlibs:Depends}
Recommends: mail-transport-agent, inn | inewsinn | inews
Suggests: ispell
Provides: news-reader
Description: Heavy-duty USENET news reader (curses-based client)
 nn stands for "No News is good news", and the nn newsreader is designed to let
 you minimize the amount of time you spend reading news (or, more
 realistically, to allow you to follow even more newsgroups :-).
 .
 nn allows you to quickly select articles of interest and skip the rest.  It
 also supports efficient article killing and selection of articles by author
 and subject.
 .
 This version of nn reads news from a news server via NNTP (the Network News
 Transfer Protocol), and can make use of your NNTP server's NOV database, if
 configured.  You must have a news server available - large sites usually
 provide a site-wide server.  (For those familiar with 'nn', this is a
 client-only version.)
 .
 (Having recently used both nn and trn, I think it's a tossup as to which is
 best, as trn seems to include many of nn's best features.  If you're a
 diehard nn user, "trn -x -XX" will start trn in a mode which somewhat
 resembles nn.)

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
#
# Changes for 'nn' package by Mike Coleman.  Released into the public domain.
#

package=nn
nnpackage=nn
version=6.5.0.b3.linux.1.1
debian=01
STRIP=strip

CFLAGS=-O2 -g
LDFLAGS=

CPP=gcc -E

# The next section may have to be extensively modified

manpages=$(addprefix man/,nn.1 nncheck.1 nngrep.1 nnpost.1 nntidy.1)

build:
	$(checkdir)
	-rm -f config.h update.h local_curses.h
	sed < /usr/include/curses.h > local_curses.h \
		-e '/^#include <stdarg.h>/d' \
		-e '/^extern int standout/d'
	echo '#define NNTP' >> config.h
	echo '#define TMP_DIRECTORY "/var/tmp"' >> config.h
	# echo '#define INEWS_PATH "/usr/bin/inews"' >> config.h
	sed < config.h-dist >> config.h \
		-e 's/^#define TK.*//' \
		-e 's|^\(#define TKINCLUDE\).*|\1 /usr/include/tcl|' \
		-e 's|^\(#define TKLIB\).*||' \
		-e 's|^#undef NNTP.*||' \
		-e 's|^#define NNTP_MINI_INEWS_HEADER.*||' \
		-e 's|^\(#define NNTP_SERVER\).*|\1 "/etc/news/server"|' \
		-e 's|^\(#define INEWS_PATH\).*|\1 "/usr/bin/inews"|' \
		-e 's|s-sunos5\.h|s-debian.h|' \
		-e 's|s-sys5-4\.h|s-debian.h|' \
		-e 's|^\(#define DEFAULT_PRINTER\).*|\1 "lpr -p -JNEWS"|' \
		-e 's|m-sparc\.h|m-i80386.h|' \
		-e 's|/usr/local|/usr|' \
		-e 's|/usr/spool|/var/spool|' \
		-e 's|/usr/lib/sendmail|/usr/sbin/sendmail|' \
		-e 's|nn-bugs@dkuug\.dk|bugs@nn.org|' \
		-e 's|^#define INEWS_IS_FAST.*||' \
		-e 's|^#define SYNCHRONOUS_POSTING.*||' \
		-e 's|^#define CONFIG_NUM_IN_VERSION.*||' \
		-e 's|^#define ART_GREP.*||'
	@echo '# the two following MF.c warnings seem benign'
	$(MAKE) CFLAGS='$(CFLAGS)' LDFLAGS='$(LDFLAGS)' CPP='$(CPP)' ymakefile
	$(MAKE) -f ymakefile client
	touch build

clean:
	$(checkdir)
	-rm -f build nn nn-tk
	-$(MAKE) -i clean
	-rm -rf debian/tmp *~ config.h update.h local_curses.h

binary-arch:	checkroot build
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN debian/tmp/usr/doc/nn debian/tmp/usr/bin debian/tmp/usr/lib/nn/help debian/tmp/usr/man/man1
	install -m 0755 nn debian/tmp/usr/bin
	$(STRIP) debian/tmp/usr/bin/nn
	cd debian/tmp/usr/bin && \
	for p in nncheck nntidy nngrep nnpost nnbatch nnview; do \
		ln -s nn $$p; \
	done
	install -m 0644 aux upgrade_rc debian/tmp/usr/lib/nn
	./mkprefix conf > debian/tmp/usr/lib/nn/conf
	grep "^#" config.h \
	| sed -e '/_MAN_/d' -e 's/[ 	]*\/\*.*$$//' >> debian/tmp/usr/lib/nn/conf
	chmod 0644 debian/tmp/usr/lib/nn/conf
	for h in `cd help; echo *`; do \
		./cvt-help < help/$$h > debian/tmp/usr/lib/nn/help/$$h; \
		chmod 0644 debian/tmp/usr/lib/nn/help/$$h; \
	done
	install -m 0644 $(manpages) debian/tmp/usr/man/man1
	gzip -9v debian/tmp/usr/man/man1/*
	sed 	-e 's/\\f[BPI]//g' \
		-e 's/\\-/-/g' -e 's/\\&//g' -e 's/\\e/\\/g' \
		-e '/^\.\\"ta/p' -e '/^\.\\"/d' \
		-e '/^\.nf/d' -e '/^\.fi/d' \
		-e '/^\.if/d' -e '/^\.ta/d' -e '/^\.nr/d' \
		-e '/^\.in/d' -e 's/^\.[BI] //' \
		$(manpages) | \
	gawk -f format.awk - > debian/tmp/usr/lib/nn/help/Manual
	chmod 0644 debian/tmp/usr/lib/nn/help/Manual
	#	
	# $(MAKE) CFLAGS=-O2 LDFLAGS=-s prefix=debian/tmp/usr install
	# gzip -9v debian/tmp/usr/info/*
	cp debian/README.debian debian/changelog debian/tmp/usr/doc/$(nnpackage)
	gzip -9v debian/tmp/usr/doc/nn/*
	cp debian/copyright debian/tmp/usr/doc/nn
	install -m 0755 debian/postinst debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/bin/nn
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f nn.c
endef

# Below here is fairly generic really

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## nn 6.6.5

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Makefile for nn release 6.5
+# Makefile for nn release 6.6
 #
 #
 # Before compiling, read the instructions in the file INSTALLATION!
@@ -18,15 +18,15 @@
 #
 # Use /lib/cpp or /usr/ccs/lib/cpp for CPP on Solaris or SVR4 machines.
 
-CC =		gcc
+CC =		cc
+
 CPP =		$(CC) -E
 #CPP =		/lib/cpp
-CFLAGS =	-O6 -fomit-frame-pointer -pipe
-#-Wall -Wcomment \
-#-Wtraditional -Wshadow \
-#-Wpointer-arith -Wcast-qual -Wcast-align -Wconversion \
-#-Waggregate-return -Wmissing-prototypes -Wnested-externs
-LDFLAGS =	-s # -lmalloc # /usr/local/lib/malloc-debug/libmalloc.a
+#CPP =		/usr/bin/cpp -no-cpp-precomp	# for MacOS X
+
+CFLAGS =	-O # -g -Wall -ansi -pedantic
+#CFLAGS =	-O # -w0 -g3			# for DEC
+
 MAKE =		make
 
 
@@ -60,6 +60,7 @@
 	       -DCDEBUG="$(CFLAGS)" -Iconf MF.c | \
 	sed -e '1,/MAKE WILL CUT HERE/d' \
 	    -e '/^#/d' \
+	    -e 's/^        /	/' \
 	    -e '/^[ \f	]$$/d' \
 	    -e '/^[ \/]*[*]/d' | \
 	sed -n -e '/^..*$$/p' > ymakefile
@@ -95,4 +96,4 @@
 
 man/nn.1.D: man/nn.1
 	sh SPLITNN1
-	
+

=== contrib/nnsub/Makefile ===
#
# create program nnsub
#
# define the smbol DEFS in accordance to your system
#
# define the symbol DEST as the directory in everybody's searchpath
# where the program should reside
#
# install the file nnsub.1 manually in the directory for local
# manpages (By us this is /usr/local/man/man1)

# this I use on convex
# DEFS= -pcc
# this should be used on SysV boxes, also HP/UX
DEFS= -DSYSV
# possible DEFS are:
#	ACTIVE		pathname of file containing active newsgroups
#	DEFRC		pathname of default .newsrc (see nn INSTALL)
#	ERR_EXIT	value for error exit
#	NCOLS		number of colums on a terminal screen (80)
#	NEWSGROUPS	pathname of file with short descriptions
#	NEWSRC		file .newsrc
#	NLINES		number of lines in a screen menu (22)
#	NNTP		hostname of nntp server
#	OLDRC		filename to save old .newsrc
#	PORT		port number for nntp, see file /etc/services
#	SYSV		compile and run on System V UNIX
#	TEMPRC		temporary template to write new .newsrc
#	TIMEOUT		timeout value while waiting for server reply
#	iShwfac		interval for writing a dot if debugging
#	iSlen		length of string buffer
#	iMeuGrpart	max space to be used to write groupname in menu

SUBS= avl.o Findsub.o strsave.o
DEST=/usr/local/bin
CC=   cc
CFLAGS= -O $(DEFS)
LDFLAGS=

.c.o:
	$(CC) $(CFLAGS) -c $*.c

nnsub:	nnsub.o $(SUBS)
	$(CC) -o nnsub nnsub.o $(SUBS)

install: nnsub
	mv nnsub $(DEST)
	strip $(DEST)/nnsub
	chmod 551 $(DEST)/nnsub

clean:
	rm -f nnsub core *.o a.out

nnsub.o:	patchlevel.h version.h avl.h nnsub.c
avl.o:		avl.h avl.c

## nn 6.7.3

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 	       -DCDEBUG="$(CFLAGS)" -Iconf MF.c | \
 	sed -e '1,/MAKE WILL CUT HERE/d' \
 	    -e '/^#/d' \
-	    -e 's/^        /	/' \
+	    -e 's/^  */	/' \
 	    -e '/^[ \f	]$$/d' \
 	    -e '/^[ \/]*[*]/d' | \
 	sed -n -e '/^..*$$/p' > ymakefile

=== debian/changelog ===
nn (6.7.3-16.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097472)

 -- Adrian Bunk <bunk@debian.org>  Wed, 22 Oct 2025 19:04:06 +0300

nn (6.7.3-16) unstable; urgency=medium

  * cleaning update.h
  * Bump policy (no changes)
  * Updated Patches to make Lintian happy

 -- Cord Beermann <cord@debian.org>  Sat, 22 Mar 2025 18:01:44 +0100

nn (6.7.3-15) unstable; urgency=medium

  * Bump Policy (no changes)
  * Fixed debian/watch

 -- Cord Beermann <cord@debian.org>  Sat, 24 Dec 2022 17:10:04 +0100

nn (6.7.3-14) unstable; urgency=medium

  * Bump Policy (no changes)
  * Re-upload without binary.

 -- Cord Beermann <cord@debian.org>  Sat, 16 Jan 2021 11:17:56 +0100

nn (6.7.3-13) unstable; urgency=medium

  * Fix FTBFS with gcc10. thanks to Logan Rosen <logan@ubuntu.com>
    (closes: #957610)
  * Make Lintian Happy again
    + converted *.po files to utf8
    + switch watch to Version 4

 -- Cord Beermann <cord@debian.org>  Fri, 17 Apr 2020 19:38:17 +0200

nn (6.7.3-12) unstable; urgency=medium

  * Fixing Recommendation on sensible-utils (closes: #871524)
  * Fixing manpage (closes: #898675)

 -- Cord Beermann <cord@debian.org>  Sat, 04 Apr 2020 14:37:34 +0200

nn (6.7.3-11) unstable; urgency=medium

  * Rebuild package
    + Bump Standard to 4.5.0
      - Rules-Requires-Root: no
    + Split patches to separate files
    + Don't install unneeded manpages
    + Reworked copyright-file, but abusing lintian-ignores.
    + Fix FTBFS with hardening
  * Fix FTBFS with missing stropts.h in glibc 2.30 (closes: #954552)

 -- Cord Beermann <cord@debian.org>  Sat, 04 Apr 2020 12:58:38 +0200

nn (6.7.3-10) unstable; urgency=medium

  * add patch by Chris Lamb <lamby@debian.org> for reproducable builds.
    (closes: #776764)
  * bumb debhelper to 9

 -- Cord Beermann <cord@debian.org>  Thu, 20 Aug 2015 13:39:10 +0200

nn (6.7.3-9) unstable; urgency=low

  * The DebConf-Release
  * Bump Standard-Version to 3.9.6
  * Reconfigured Hardening to make lintian happy

 -- Cord Beermann <cord@debian.org>  Mon, 10 Aug 2015 21:22:13 +0200

nn (6.7.3-8) unstable; urgency=low

  * define MAXHOSTNAMELEN if not already set for the Hurd.

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:35:12 +0200

nn (6.7.3-7) unstable; urgency=low

  * Fix a lintian-override thanks to: Jakub Wilk <jwilk@debian.org>
    (closes: #642239)

 -- Cord Beermann <cord@debian.org>  Sun, 24 Jun 2012 10:03:38 +0200

nn (6.7.3-6) unstable; urgency=low

  * disabled DEB_BUILD_HARDENING_FORMAT

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 20:34:59 +0200

nn (6.7.3-5) unstable; urgency=low

  * fix debian/rules to have a config.h when we need it.

 -- Cord Beermann <cord@debian.org>  Sat, 23 Jun 2012 19:12:01 +0200

nn (6.7.3-4) unstable; urgency=low

  * Acknowledge NMUs (closes: #628348)
  * Add Hardening
  * Remove Template from watch-File
  * Fixed duplicate changelog
  * Bump Standard to 3.9.3 (no changes)

 -- Cord Beermann <cord@debian.org>  Thu, 21 Jun 2012 23:18:07 +0200

nn (6.7.3-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ymakefile:12: *** commands commence before first target.
    Stop.": add patch from Ubuntu / Andreas Moog:
    - Escape backslashes in makefile template to fix FTBFS (LP: #756213)
      (Closes: #628348)

 -- gregor herrmann <gregoa@debian.org>  Tue, 25 Oct 2011 18:24:08 +0200

nn (6.7.3-3) unstable; urgency=low

  * add spanish Translation (closes: #570354)
  * Acknowledge NMUs
  * Make Lintian happy
    + Fixed typos
    + moving nn-eu.po to eu.po
    + Bumped Policy-version
    + DH version 7

 -- Cord Beermann <cord@debian.org>  Tue, 25 May 2010 17:44:40 +0200

nn (6.7.3-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename local getline func to local_getline. (Closes: #552849, #548461).
  * Add Italian debconf translation. (Closes: #504995).
    + Thanks to Luca Monducci.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 31 Oct 2009 20:55:20 -0400

nn (6.7.3-2.1) unstable; urgency=low

  * Non-maintainer upload to fix bashism in build process.
  * Modified prefix.c to check for a NULL value when generating shell
    scripts headers (closes: #459108)
  * Added nl.po and pt_BR.po contributed by Bart Cornelis and Eder L. Marques
    (closes: #419733) (closes: #447150)
  * Fixed text lines in the manpages with a leading dot.
  * Converted debian copyright file to utf8.
  * Updated menu file "Apps/Net" -> "Applications/Network/Communication".

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 08 Mar 2008 16:07:37 -0200

nn (6.7.3-2) unstable; urgency=medium

  * debconf translations
    + added ka.po and vi.po (closes: #399496) (sorry, Christian)
  * no more changes, should be safe for release...

 -- Cord Beermann <cord@debian.org>  Wed,  3 Jan 2007 22:34:53 +0100

nn (6.7.3-1) unstable; urgency=low

  * New upstream release (no significant changes)
  * debconf translations
    + added basque translation (closes: #331351)
    + updated swedish translation (closes: #331351)
    + updated russian translation (closes: #361657)
    + added portugese translation (closes: #381633)
  * Fix up broken templates/config/postinst files (closes: #335270)
    (many thanks to  J S Bygott for figuring this out)
  * Fix bashism (closes: #376430)
  * bumped Standards-Version, no change.

 -- Cord Beermann <cord@debian.org>  Sun, 19 Nov 2006 13:40:15 +0100

nn (6.7.2-1) unstable; urgency=low

  * New upstream (closes: #325055)
    + fixed AUTO-Domain-problem (closes: #190599)
  * Update debian/watch
  * debconf translations
    + added japanese (closes: #308748)
    + changed german (closes: #311853)
    + added vietnamese (closes: #316060)
    + added french (closes: #299252)
    + added czech (closes: #309078)
    + added danish (closes: #323364)
  * Bumped Standard-version
  * added {misc:Depend}
  * Make Lintian happy
    + removed non-bashism from nn.config



=== debian/control ===
Source: nn
Section: news
Priority: optional
Maintainer: Cord Beermann <cord@debian.org>
Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev
Standards-Version: 4.7.2
Homepage: http://www.nndev.org
Rules-Requires-Root: no

Package: nn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent, sensible-utils
Suggests: ispell, gnupg
Provides: news-reader
Description: Heavy-duty USENET news reader (curses-based client)
 The motto of nn is its expanded name, which is "No News is good
 news, but nn is better", and the nn newsreader is designed to let you
 minimize the amount of time you spend reading news (or, more
 realistically, to allow you to follow even more newsgroups :-).
 .
 Nn allows you to quickly select articles of interest and skip the
 rest.  It also supports efficient article killing and selection of
 articles by author and subject.
 .
 This version of nn reads news from a news server via NNTP (the
 Network News Transfer Protocol), and can make use of your NNTP
 server's NOV database, if configured.  You must have a news server
 available - large sites usually provide a site-wide server.  (For
 those familiar with 'nn', this is a client-only version.)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
export DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk
CC_FOR_BUILD ?= cc

%:
	dh $@

override_dh_auto_configure:
	cp -f debian/config.h .

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CFLAGS)" \
                CPPFLAGS="$(CPPFLAGS)" \
                LDFLAGS="$(LDFLAGS)" \
                LOCALCC=$(CC_FOR_BUILD)

override_dh_clean:
	dh_clean
	rm -f update.h
	debconf-updatepo

override_dh_auto_clean:
	cp -f debian/config.h .
	dh_auto_clean
	rm config.h

override_dh_auto_install:
	dh_auto_install
	DESTDIR=$(CURDIR)/debian/nn ./inst n
	rm $(CURDIR)/debian/nn/usr/share/man/man1/nnacct.1m
	rm $(CURDIR)/debian/nn/usr/share/man/man8/nnmaster.8
	rm $(CURDIR)/debian/nn/usr/share/man/man8/nnspew.8
	rmdir $(CURDIR)/debian/nn/usr/share/man/man8

=== debian/watch ===
# Site		Directory		Pattern			Version	Script
#ftp.nndev.org	/pub/nn-6.6	nn-(.*)\.tar\.Z		debian	uupdate
#ftp://ftp.nndev.org/pub/nn-6.7/nn-(.*)\.tar\.Z debian uupdate
version=4
http://www.nndev.org/pub/nn-6.7/nn-(.*)\.tar\.Z debian uupdate
